View Issue Details

IDProjectCategoryView StatusLast Update
0002936SketcherBugpublic2017-12-12 22:36
ReporterdigitalgooseAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platform64 bitOSWindows 10OS Version
Product Version0.16 
Target VersionFixed in Version0.17 
Summary0002936: Merge Sketch Flattens Spreadsheet Functions to Values
DescriptionI have started making parametric models by referencing global variables contained in a spreadsheet from the Spreadsheet workbench. If I build two sketches using the Part Design workbench and parameters from a spreadsheet, everything works well. If I then combine the two sketches using Part Design > Merge Sketches, the parametric relations are replaced with hard-coded values.
TagsPart Design, sketcher, spreadsheet

Activities

digitalgoose

2017-03-02 01:02

reporter   ~0008486

On further inspection, a further issue emerged. One of the two merged sketches now references distance from a vertex on the other sketch, whereas before it had referenced distance from the origin...

normandc

2017-06-18 00:03

manager   ~0009434

Last edited: 2017-06-18 00:04

View 2 revisions

@digitalgoose

Please provide a FreeCAD file showing the issue. It will save time for developers and testers. Thanks.

Kunda1

2017-06-21 10:46

manager   ~0009478

@bejant do you mind trying to reproduce this issue?

bejant

2017-06-22 04:36

reporter   ~0009489

I can recreate the issue that after merging two Sketches (Sketch and Sketch001 in the attached file), Distance Constraints in the resulting Sketch (Sketch002) have lost their Function link to the Spreadsheet.

I couldn't recreate the issue noted 2017-03-02 of Constraints in the Merged Sketch referencing different vertices.

I used Sketcher and Spreadsheet WBs only and no PDN.

OS: Ubuntu 16.04.2 LTS
Word size of OS: 32-bit
Word size of FreeCAD: 32-bit
Version: 0.17.11379 (Git)
Build type: None
Branch: master
Hash: 654276c49d1b66cf3c2a5ec538629c6d9f77c489
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0

Bug2936-017.fcstd (11,183 bytes)

Kunda1

2017-10-17 11:48

manager   ~0010310

@eivindkvedalen care to weigh in?

abdullah

2017-12-12 14:36

manager   ~0010584

@Kunda1

https://github.com/FreeCAD/FreeCAD/pull/1159

Issue History

Date Modified Username Field Change
2017-03-02 00:55 digitalgoose New Issue
2017-03-02 00:55 digitalgoose Tag Attached: Part Design
2017-03-02 00:55 digitalgoose Tag Attached: sketcher
2017-03-02 01:02 digitalgoose Note Added: 0008486
2017-06-18 00:01 normandc Project PartDesign => Sketcher
2017-06-18 00:03 normandc Note Added: 0009434
2017-06-18 00:04 normandc Note Edited: 0009434 View Revisions
2017-06-21 10:46 Kunda1 Note Added: 0009478
2017-06-21 10:47 Kunda1 Status new => feedback
2017-06-22 04:36 bejant File Added: Bug2936-017.fcstd
2017-06-22 04:36 bejant Note Added: 0009489
2017-06-22 10:59 Kunda1 Tag Attached: spreadsheet
2017-07-03 21:16 Kunda1 Tag Attached: #post-to-forum
2017-10-17 11:48 Kunda1 Note Added: 0010310
2017-10-17 11:49 Kunda1 Status feedback => confirmed
2017-10-17 11:50 Kunda1 Summary Merge Sketch Flattens Functions to Values => Merge Sketch Flattens Spreadsheet Functions to Values
2017-12-12 14:36 abdullah Note Added: 0010584
2017-12-12 14:36 abdullah Assigned To => abdullah
2017-12-12 14:36 abdullah Status confirmed => assigned
2017-12-12 15:48 Kunda1 Tag Detached: #post-to-forum
2017-12-12 22:36 wmayer Status assigned => closed
2017-12-12 22:36 wmayer Resolution open => fixed
2017-12-12 22:36 wmayer Fixed in Version => 0.17